Replace a taxonomy
Replace a taxonomy. This is a retroactive action.
Unlike PATCH, the request body replaces the whole taxonomy: an omitted sortLabelsBy is reset to id, and omitted translations are removed.
Access
Access
Authorizations
The Lucca API implements the oAuth 2 protocol with the client-credentials-flow. Refer to RFC8725.
Headers
Set the API version.
2024-11-01 "2024-11-01"10"2024-11-01"
Only execute the request if current cached version of the resource does not match the one given here.
"W/q5sd4w2x1c1gfdg"
Only execute the request if current cached version of the resource matches the one given here. Useful to avoid concurrency conflicts.
"W/q5sd4w2x1c1gfdg"
List of compression algorithms you support.
Path Parameters
Identifier of the taxonomy
1Query Parameters
Include metadata:
embedded: the partial or complete representations of related resources (e.g. the employee the resource belongs to).links: links to related resources or actions (e.g. approving a leave-request). May benullwhen you do not have access to the resource (or action).totalCount: only applicable on collections (i.e. lists of resources), gives the total number of items across all pages.
Read more about expanding responses.
embedded, links, totalCount Body
Representation of an taxonomy.
The full representation of the taxonomy.
1Indication to the client about how it should sort taxonomy-labels. Value can be interpolated as the expected value of the "sort" query parameter:
/lucca-api/taxonomy-labels?taxonomy.id={{taxonomy.id}}&sort={{taxonomy.sortLabelsBy}}
id, name Response
OK
The updated taxonomy resource.
11"taxonomy"Indication to the client about how it should sort taxonomy-labels. Value can be interpolated as the expected value of the "sort" query parameter:
/lucca-api/taxonomy-labels?taxonomy.id={{taxonomy.id}}&sort={{taxonomy.sortLabelsBy}}
id, name Read-only. UTC timestamp of the moment this object was created.
The UTC offset may be written Z or +00:00, with up to 7 fractional digits of a second.
"2023-01-23T12:45:23.1234567+00:00"
"2023-01-23T12:45:23.1234Z"
Read-only. UTC timestamp of the moment this object was last updated.
Set upon creation, update or deletion of the object.
The UTC offset may be written Z or +00:00, with up to 7 fractional digits of a second.
"2023-01-23T12:45:23.1234567+00:00"
"2023-01-23T12:45:23.1234Z"
No embedded resources on a taxonomy(ies) response. Expect an empty object if embedded are requested.